package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumQuestionConfigStatus {

    // 1、开启 2：关闭
    ON(0,"开启"),
    OFF(1, "关闭")
    ;

    public static EnumQuestionConfigStatus getEnum(Integer code) {
        for (EnumQuestionConfigStatus value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumQuestionConfigStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
